Package org.eclipse.net4j.util.concurrent

## Class Stoppable

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.Stoppable

- All Implemented Interfaces:
    `java.lang.Runnable`

      public abstract class Stoppable
      extends java.lang.Object
      implements java.lang.Runnable

  A `runnable` that can be `stopped`.
  Since:
    3.2
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Stoppable()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `doRun()` |
    `boolean` | `isStopped()` |
    `void` | `run()` |
    `void` | `stop()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stoppable

          public Stoppable()

  - ### Method Detail

    - #### isStopped

          public final boolean isStopped()

    - #### stop

          public final void stop()

    - #### run

          public final void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### doRun

          protected abstract void doRun()
                                 throws java.lang.InterruptedException

      Throws:
        `java.lang.InterruptedException`